Subject: Re: linux-next: Tree for Feb 4

From: Jens Axboe <[email-masked]>
Date: Wed, 04 Feb 2015 08:16:41 -0700

On 02/04/2015 05:26 AM, Sedat Dilek wrote:
> On Wed, Feb 4, 2015 at 9:35 AM, Stephen Rothwell <[email-masked]> wrote:
>> Hi all,
>>
>> The next release I will be making will be next-20150209 - which will
>> probably be after the v3.19 release.
>>
>> Changes since 20150203:
>>
>> The sound-asoc tree gained a conflict against the sound tree.
>>
>> The scsi tree gained a build failure caused by an interaction with the
>> driver-core tree.  I applied a merge fix patch.
>>
>> The akpm-current tree gained a build failure for which I disabled
>> CONFIG_KASAN.
>>
>> Non-merge commits (relative to Linus' tree): 7461
>>   7314 files changed, 309736 insertions(+), 172363 deletions(-)
>>
>> ----------------------------------------------------------------------------
>>
>
> [ CC Jens ]
>
> Hi,
>
> I am seeing the following in my logs several times...
>
> Feb  4 02:53:13 fambox kernel: [15507.397482] blk_update_request: I/O
> error, dev loop0, sector 21261344
> Feb  4 02:53:13 fambox kernel: [15507.397531] loop0: DISCARD failed.
> Manually zeroing.

This is from Martin's commit (CC'ed). Martin, there are various ways we 
can end up "failing" from blkdev_issue_discard(), I'm going to kill 
those debug warnings.

-- 
Jens Axboe